Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159314 - eclipse-bugzilla is using internal classes.
Summary: eclipse-bugzilla is using internal classes.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 16:52 UTC by Jeff Pound
Modified: 2013-04-02 04:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-11 14:27:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 81795 None None None Never

Description Jeff Pound 2005-06-01 16:52:05 UTC
Description of problem:
The plug-in currently has some classes making use of other internal eclipse
classes. We can either hope future eclipse releases don't break it or
re-implement the needed functionality. Filing this to track the issue.

Version-Release number of selected component (if applicable):
eclipse-bugzilla-0.1.0_fc-16

Comment 1 Nitin Dahyabhai 2005-07-06 23:16:29 UTC
Is there a feature request in Eclipse's Bugzilla to make the necessary class public?

Comment 2 Jeff Pound 2005-07-07 14:48:28 UTC
Not that I know of, I havn't really had time to even investigate which classes
they are, or if they are neccessary. A quick look shows these 4 internal classes
in use:

org.eclipse.team.internal.core.streams.PollingInputStream
org.eclipse.team.internal.core.streams.TimeoutInputStream
org.eclipse.team.internal.ui.ITeamUIImages
org.eclipse.team.internal.core.BackgroundEventHandler

Comment 3 Red Hat Bugzilla 2007-09-11 04:04:52 UTC
User klee@redhat.com's account has been closed

Comment 4 Andrew Overholt 2007-09-11 14:27:08 UTC
We are now shipping Mylyn which obsoletes the old bugzilla plugin.  Please open
a request at bugs.eclipse.org against Mylyn if this issue persists.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.